-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Russian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Milena"
language = "Russian"
marc_code = "rus"
language_id = "16"
id = "16002"
config_file = "russian_tts/config_tts.lua"
audio_files_path = "russian_tts/russian_tts"
rulesets_file = "russian_tts/russian_tts/rulesets_RUR.txt"
userdictionary_file = "russian_tts/russian_tts/udct_rur.dat"
apdb = "apdb/milena/nm"
audio_files_version = "0.2.0.2012011701"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "вы достигнете места назначения",                                                                  -- You will reach your destination
    ["STOPOVER"] = "вы достигнете места промежуточной остановки",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                                                                                 -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                                                                -- the junction
    ["ROUNDABOUT"] = "на кольцевой развязке",                                              -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "сверните на съезд",                                                                      -- take the exit
    ["UTURN"] = "сделайте разворот",                                                -- Make a uturn
    ["ENTER_HIGHWAY"] = "выедьте на автотрассу",
    ["LEAVE_HIGHWAY"] = "сверните на съезд",                                    -- take the exit
    ["CONTINUE_HIGHWAY"] = "сверните на съезд",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "выедьте на автотрассу",
    ["LEAVE_URBAN_HIGHWAY"] = "сверните на съезд",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "сверните на съезд",
    ["DRIVE_TO_NEAREST_ROAD"] = "Выезжайте на ближайшую дорогу",        -- drive to nearest road 
    ["FERRY"] = "воспользуйтесь паромом"
}

maneuver_turns_car = {
    ["NO_TURN"] = "продолжайте двигаться прямо",
    ["KEEP_MIDDLE"] = "перестройтесь в среднюю полосу",
    ["KEEP_RIGHT"] = "держитесь правой стороны",
    ["LIGHT_RIGHT"] = "слегка сверните направо",
    ["QUITE_RIGHT"] = "сверните направо",
    ["HEAVY_RIGHT"] = "резко сверните направо",
    ["RETURN"] = "сделайте разворот",
    ["HEAVY_LEFT"] = "резко сверните налево",
    ["QUITE_LEFT"] = "сверните налево",
    ["LIGHT_LEFT"] = "слегка сверните налево",
    ["KEEP_LEFT"] = "держитесь левой стороны",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "продолжайте двигаться прямо",
    ["KEEP_MIDDLE"] = "продолжайте двигаться прямо",
    ["KEEP_RIGHT"] = "сверните на улицу справа",   
    ["LIGHT_RIGHT"] = "слегка сверните направо",
    ["QUITE_RIGHT"] = "сверните направо",
    ["HEAVY_RIGHT"] = "резко сверните направо",
    ["RETURN"] = "сделайте разворот",
    ["HEAVY_LEFT"] = "резко сверните налево",
    ["QUITE_LEFT"] = "сверните налево",
    ["LIGHT_LEFT"] = "слегка сверните налево",
    ["KEEP_LEFT"] = "сверните на улицу слева",   
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "пройдите через здание",
    ["SQUARE"] = "пересеките площадь",
    ["PARK"] = "пройдите через парк",
    ["STAIRS"] = "воспользуйтесь лестницей",
    ["ELEVATOR"] = "воспользуйтесь лифтом",
    ["ESCALATOR"] = "воспользуйтесь лестницей"
}

final_command = {
    ["END"] = "Вы достигли места назначения",                  -- You have reached your destination
    ["STOPOVER"] = "Вы достигли места промежуточной остановки"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"выберите первый выезд", "сверните на первую улицу"},                      -- take the first exit
    [2] = {"выберите второй выезд", "сверните на вторую улицу"},           -- take the second exit
    [3] = {"выберите третий выезд", "сверните на третью улицу"},                   -- take the third exit
    [4] = {"выберите четвертый выезд", "сверните на четвертую улицу"},                -- take the fourth exit
    [5] = {"выберите пятый выезд", "сверните на пятую улицу"},                      -- take the fifth exit
    [6] = {"выберите шестой выезд", "сверните на шестую улицу"},                  -- take the sixth exit
    [7] = {"выберите седьмой выезд", "сверните на седьмую улицу"},          -- take the seventh exit
    [8] = {"выберите восьмой выезд", "сверните на восьмую улицу"},              -- take the eighth exit
    [9] = {"выберите девятый выезд", "сверните на девятую улицу"},                  -- take the ninth exit
    [10] = {"выберите десятый выезд", "сверните на десятую улицу"},                -- take the tenth exit
    [11] = {"выберите одиннадцатый выезд", "сверните на одиннадцатую улицу"},       -- take the eleventh exit
    [12] = {"выберите двенадцатый выезд", "сверните на двенадцатую улицу"}             -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "милю",
    ["YARDS"] = "ярдов",
    ["KILOMETER"] = "километр",
    ["METERS"] = "метров",
    ["METER"] = "метров",
    ["KILOMETERS"] = "километров",
    ["MILES"] = "миль",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "на север",
    ["NORTH_EAST"] = "на северо-восток",
    ["EAST"] = "на восток",
    ["SOUTH_EAST"] = "на юго-восток",
    ["SOUTH"] = "на юг",
    ["SOUTH_WEST"] = "на юго-запад",
    ["WEST"] = "на запад",
    ["NORTH_WEST"] = "на северо-запад"
}

misc = { 
    ["gps_signal_lost_wav"] = "Сигнал GPS утерян",
    ["gps_signal_restored_wav"] = "Связь с GPS восстановлена",
 --   ["no_gps_signal_wav"] = "Сигнал GPS отсутствует",
    ["route_recalculation_wav"] = " Перерасчет маршрута",
    ["now_wav"] = "Сейчас",
    ["end_of_street_wav"] = "В конце дороги",
    ["follow_motorway_wav"] = "Следуйте по автотрассе",
    ["follow_road_wav"] = "Следуйте по дороге",
    ["for_wav"] = nil,
    ["after_wav"] = "Через",
    ["after_the_junction_wav"] = "За перекрестком",
    ["km_1_wav"] = "километр",
    ["km_234_wav"] = "километра",
    ["mile_1_wav"] = "милю",
    ["miles_234_wav"] = "мили",
    ["half_a_mile_wav"] = "полмили",
    ["take_street_wav"] = "сверните на улицу",
    ["right_wav"] = "справа",
    ["left_wav"] = "слева",
    ["quarter_a_mile_wav"] = "четверть мили",
    ["and_then_immediately_wav"] = "а потом сразу",
    ["safety_camara_ahead_wav"] = "Впереди камера контроля скорости",
    ["over_speed_limit_wav"] = "Соблюдайте ограничение скорости",
    ["traffic_automatic_detour_wav"] = "Затор движения на пути, изменение маршрута",
    ["traffic_manual_detour_wav"] = "Затор движения на пути, изменить маршрут?",
    ["no_detour_possible"] = "Объезд заторa движения не найден",
    ["and_wav"] = "и",
    ["and_then_wav"] = "затем",
    ["and_continue_on_wav"] = "и продолжайте движение по",
    ["towards_wav"] = "в направлении",
    ["turn_wav"] = "сверните",
    ["onto_wav"] = "на",
    ["onto_2_wav"] = "в направлении",
    ["exit_wav"] = "сверните на съезд",
    ["second_right_wav"] = "сверните на втором повороте направо",
    ["second_left_wav"] = "сверните на втором повороте налево",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "двигайтесь по левой стороне кольцевой развязки",
    ["walk_right_roundabout_wav"] = "двигайтесь по правой стороне кольцевой развязки",
    ["walk_roundabout_wav"] = "Пройдите кольцевую развязку",
    ["head_wav"] = "Направляйтесь",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "на",
     ["on_head_wav"] = "по",
    ["the_footpath_wav"] = "тропу"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }
first_case = { [1.50] = 0, [2] = 0, [3] = 0, [4] = 0, [22] = 0, [23] = 0, [24] = 0, [32] = 0, [33] = 0, [34] = 0, [42] = 0, [43] = 0, [44] = 0, [52] = 0, [53] = 0, [54] = 0, [62] = 0, [63] = 0, [64] = 0, [72] = 0, [73] = 0, [74] = 0, [82] = 0, [83] = 0, [84] = 0 }


